Last Comment Bug 579737 - Make lightweight themes / personas work with browser on Mac
: Make lightweight themes / personas work with browser on Mac
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.1a3
Assigned To: Stefan [:stefanh]
:
Mentors:
Depends on: SM-lwtheme
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-18 08:43 PDT by Robert Kaiser (not working on stability any more)
Modified: 2010-11-05 02:04 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
SeaMonkey 2.1 with Persona on Mac OS X (507.24 KB, image/png)
2010-07-22 02:29 PDT, Pavel Cvrcek [:JasnaPaka]
no flags Details
SeaMonkey 2.1 - other two problems (74.27 KB, image/png)
2010-07-23 07:21 PDT, Pavel Cvrcek [:JasnaPaka]
no flags Details
Make mac classic browser personas-friendly (8.18 KB, patch)
2010-07-26 12:12 PDT, Stefan [:stefanh]
no flags Details | Diff | Review
New version (4.84 KB, patch)
2010-07-27 13:51 PDT, Stefan [:stefanh]
mnyromyr: review+
neil: superreview+
Details | Diff | Review

Description Robert Kaiser (not working on stability any more) 2010-07-18 08:43:02 PDT
Bug 563261 makes lwthemes installable and makes it work with browser on Windows and Linux, as I can't test on Mac, I can't see how it looks and works there, we need someone familiar with Mac to do it there.
Comment 1 Pavel Cvrcek [:JasnaPaka] 2010-07-22 02:29:23 PDT
Created attachment 459354 [details]
SeaMonkey 2.1 with Persona on Mac OS X

I see problem with Bookmarks toolbar.
Comment 2 Robert Kaiser (not working on stability any more) 2010-07-22 04:05:32 PDT
Of course you see a problem, as no work has been done in here yet. As I don't have a Mac, I can't work on this, as I can't test it. Help wanted!
Comment 3 Stefan [:stefanh] 2010-07-22 05:08:01 PDT
(In reply to comment #1)
> I see problem with Bookmarks toolbar.

I can fix that, don't worry ;-)

Can you see if there are any more issues? For example, do you think tab bar and tabs looks ok?
Comment 4 Pavel Cvrcek [:JasnaPaka] 2010-07-23 07:21:20 PDT
Created attachment 459812 [details]
SeaMonkey 2.1 - other two problems

As I promissed yesterday I have a look at SeaMonkey on Mac OS X again.

Problems:
* Website navigation bar doesn't have Persona.
* Tabbar doesn't have Persona on background.
Comment 5 Stefan [:stefanh] 2010-07-26 12:12:19 PDT
Created attachment 460299 [details] [diff] [review]
Make mac classic browser personas-friendly

Fixes all things reported here and some nits like tab borders and tab hover styling (needs to be re-visited when mailNews gets personas-friendly)

A few comments:

- hover:active on disabled linkToolbar items worked on disabled items (non-personas too)
- I had to do some non-lwtheme changes in tabbrowser.css to make it work
- I have some changes to sidebar too, but I'll wait with them since it needs more work
Comment 6 Stefan [:stefanh] 2010-07-26 12:20:58 PDT
Once thing that I haven't solved in personas is that only some PT bookmark items gets their text-shadow changed on hover:active.
Comment 7 Stefan [:stefanh] 2010-07-26 12:23:55 PDT
(In reply to comment #6)
> Once thing that I haven't solved in personas is that only some PT bookmark
> items gets their text-shadow changed on hover:active.

Sorry, forget about that - this depends on the background!
Comment 8 neil@parkwaycc.co.uk 2010-07-27 09:28:12 PDT
Comment on attachment 460299 [details] [diff] [review]
Make mac classic browser personas-friendly

>-#linktoolbar > .bookmark-item:hover:active,
>+#linktoolbar > .bookmark-item:not([disabled="true"]):hover:active,
I guess this is really a separate bug ;-)

>-.bookmark-item[container="true"]:hover:active {
>+.bookmark-item:not([disabled="true"])[container="true"]:hover:active {
Although I don't think bookmark items can be disabled, can they?

>+.tabbrowser-tab[afterselected="true"]:-moz-lwtheme:-moz-locale-dir(ltr) {
>+  -moz-border-left-colors: transparent transparent;
>+}
>+
>+.tabbrowser-tab[afterselected="true"]:-moz-lwtheme:-moz-locale-dir(rtl) {
>+  -moz-border-right-colors: transparent transparent;
>+}
What styles are these overriding?
Comment 9 Stefan [:stefanh] 2010-07-27 13:34:55 PDT
(In reply to comment #8)
> Comment on attachment 460299 [details] [diff] [review]
> Make mac classic browser personas-friendly
> 
> >-#linktoolbar > .bookmark-item:hover:active,
> >+#linktoolbar > .bookmark-item:not([disabled="true"]):hover:active,
> I guess this is really a separate bug ;-)

Right, OK.
> 
> >-.bookmark-item[container="true"]:hover:active {
> >+.bookmark-item:not([disabled="true"])[container="true"]:hover:active {
> Although I don't think bookmark items can be disabled, can they?

Well, the "Document" and "More" items in the linkToolbar are of class .bookmark-item ;-). I could add the rules there, of course.
> 
> >+.tabbrowser-tab[afterselected="true"]:-moz-lwtheme:-moz-locale-dir(ltr) {
> >+  -moz-border-left-colors: transparent transparent;
> >+}
> >+
> >+.tabbrowser-tab[afterselected="true"]:-moz-lwtheme:-moz-locale-dir(rtl) {
> >+  -moz-border-right-colors: transparent transparent;
> >+}
> What styles are these overriding?

Hmm, this must have been a leftover from me playing with the rules. I'll remove it.
Comment 10 Stefan [:stefanh] 2010-07-27 13:51:42 PDT
Created attachment 460643 [details] [diff] [review]
New version

I kept this, because it really affects personas

-toolbarbutton.bookmark-item[disabled="true"],
-toolbarbutton.bookmark-item[disabled="true"][container="true"] {
+toolbarbutton.bookmark-item[disabled="true"] > .toolbarbutton-icon ,
+toolbarbutton.bookmark-item[disabled="true"][container="true"] > .toolbarbutton-icon  {
   opacity: 0.5 !important;
 }
Comment 11 neil@parkwaycc.co.uk 2010-07-27 14:05:37 PDT
Comment on attachment 460643 [details] [diff] [review]
New version

> 
>-.tabbrowser-tab:-moz-locale-dir(ltr),
>-.tabbrowser-tab:-moz-locale-dir(rtl):first-child {
>+
>+.tabbrowser-tab:not([selected="true"]):-moz-locale-dir(ltr),
>+.tabbrowser-tab:not([selected="true"]):-moz-locale-dir(rtl):first-child {
Nit: extra blank line.

> 
>+
And another.
Comment 12 Stefan [:stefanh] 2010-07-27 14:16:41 PDT
Filed bug 582372 for the linkToolbar issue.
Comment 13 Stefan [:stefanh] 2010-08-08 10:38:58 PDT
http://hg.mozilla.org/comm-central/rev/0cbc202563a6
Comment 14 Stefan [:stefanh] 2010-08-08 10:44:11 PDT
I forgot to address comment #11, so I pushed a another changeset (wrong bug # in comment...): http://hg.mozilla.org/comm-central/rev/69d97489bd8a

Note You need to log in before you can comment on or make changes to this bug.